DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTChannelSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTChannelSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getAfterloaderChannelID (OFString &value, const signed long pos=0) const
| get AfterloaderChannelID (300a,0273) More...
OFCondition | getApplicatorShapeReferencedROINumber (OFString &value, const signed long pos=0) const
| get ApplicatorShapeReferencedROINumber (300a,02a1) More...
OFCondition | getApplicatorShapeReferencedROINumber (Sint32 &value, const unsigned long pos=0) const
| get ApplicatorShapeReferencedROINumber (300a,02a1) More...
OFCondition | getChannelEffectiveLength (OFString &value, const signed long pos=0) const
| get ChannelEffectiveLength (300a,0271) More...
OFCondition | getChannelEffectiveLength (Float64 &value, const unsigned long pos=0) const
| get ChannelEffectiveLength (300a,0271) More...
OFCondition | getChannelInnerLength (OFString &value, const signed long pos=0) const
| get ChannelInnerLength (300a,0272) More...
OFCondition | getChannelInnerLength (Float64 &value, const unsigned long pos=0) const
| get ChannelInnerLength (300a,0272) More...
OFCondition | getChannelLength (OFString &value, const signed long pos=0) const
| get ChannelLength (300a,0284) More...
OFCondition | getChannelLength (Float64 &value, const unsigned long pos=0) const
| get ChannelLength (300a,0284) More...
OFCondition | getChannelNumber (OFString &value, const signed long pos=0) const
| get ChannelNumber (300a,0282) More...
OFCondition | getChannelNumber (Sint32 &value, const unsigned long pos=0) const
| get ChannelNumber (300a,0282) More...
OFCondition | getChannelTotalTime (OFString &value, const signed long pos=0) const
| get ChannelTotalTime (300a,0286) More...
OFCondition | getChannelTotalTime (Float64 &value, const unsigned long pos=0) const
| get ChannelTotalTime (300a,0286) More...
OFCondition | getFinalCumulativeTimeWeight (OFString &value, const signed long pos=0) const
| get FinalCumulativeTimeWeight (300a,02c8) More...
OFCondition | getFinalCumulativeTimeWeight (Float64 &value, const unsigned long pos=0) const
| get FinalCumulativeTimeWeight (300a,02c8) More...
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1) More...
OFCondition | getNumberOfControlPoints (OFString &value, const signed long pos=0) const
| get NumberOfControlPoints (300a,0110) More...
OFCondition | getNumberOfControlPoints (Sint32 &value, const unsigned long pos=0) const
| get NumberOfControlPoints (300a,0110) More...
OFCondition | getNumberOfPulses (OFString &value, const signed long pos=0) const
| get NumberOfPulses (300a,028a) More...
OFCondition | getNumberOfPulses (Sint32 &value, const unsigned long pos=0) const
| get NumberOfPulses (300a,028a) More...
OFCondition | getPulseRepetitionInterval (OFString &value, const signed long pos=0) const
| get PulseRepetitionInterval (300a,028c) More...
OFCondition | getPulseRepetitionInterval (Float64 &value, const unsigned long pos=0) const
| get PulseRepetitionInterval (300a,028c) More...
OFCondition | getReferencedROINumber (OFString &value, const signed long pos=0) const
| get ReferencedROINumber (3006,0084) More...
OFCondition | getReferencedROINumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedROINumber (3006,0084) More...
OFCondition | getReferencedSourceNumber (OFString &value, const signed long pos=0) const
| get ReferencedSourceNumber (300c,000e) More...
OFCondition | getReferencedSourceNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedSourceNumber (300c,000e) More...
OFCondition | getSourceApplicatorID (OFString &value, const signed long pos=0) const
| get SourceApplicatorID (300a,0291) More...
OFCondition | getSourceApplicatorLength (OFString &value, const signed long pos=0) const
| get SourceApplicatorLength (300a,0296) More...
OFCondition | getSourceApplicatorLength (Float64 &value, const unsigned long pos=0) const
| get SourceApplicatorLength (300a,0296) More...
OFCondition | getSourceApplicatorManufacturer (OFString &value, const signed long pos=0) const
| get SourceApplicatorManufacturer (300a,0298) More...
OFCondition | getSourceApplicatorName (OFString &value, const signed long pos=0) const
| get SourceApplicatorName (300a,0294) More...
OFCondition | getSourceApplicatorNumber (OFString &value, const signed long pos=0) const
| get SourceApplicatorNumber (300a,0290) More...
OFCondition | getSourceApplicatorNumber (Sint32 &value, const unsigned long pos=0) const
| get SourceApplicatorNumber (300a,0290) More...
OFCondition | getSourceApplicatorStepSize (OFString &value, const signed long pos=0) const
| get SourceApplicatorStepSize (300a,02a0) More...
OFCondition | getSourceApplicatorStepSize (Float64 &value, const unsigned long pos=0) const
| get SourceApplicatorStepSize (300a,02a0) More...
OFCondition | getSourceApplicatorTipLength (OFString &value, const signed long pos=0) const
| get SourceApplicatorTipLength (300a,0274) More...
OFCondition | getSourceApplicatorTipLength (Float64 &value, const unsigned long pos=0) const
| get SourceApplicatorTipLength (300a,0274) More...
OFCondition | getSourceApplicatorType (OFString &value, const signed long pos=0) const
| get SourceApplicatorType (300a,0292) More...
OFCondition | getSourceApplicatorWallNominalThickness (OFString &value, const signed long pos=0) const
| get SourceApplicatorWallNominalThickness (300a,029c) More...
OFCondition | getSourceApplicatorWallNominalThickness (Float64 &value, const unsigned long pos=0) const
| get SourceApplicatorWallNominalThickness (300a,029c) More...
OFCondition | getSourceApplicatorWallNominalTransmission (OFString &value, const signed long pos=0) const
| get SourceApplicatorWallNominalTransmission (300a,029e) More...
OFCondition | getSourceApplicatorWallNominalTransmission (Float64 &value, const unsigned long pos=0) const
| get SourceApplicatorWallNominalTransmission (300a,029e) More...
OFCondition | getSourceMovementType (OFString &value, const signed long pos=0) const
| get SourceMovementType (300a,0288) More...
OFCondition | getTransferTubeLength (OFString &value, const signed long pos=0) const
| get TransferTubeLength (300a,02a4) More...
OFCondition | getTransferTubeLength (Float64 &value, const unsigned long pos=0) const
| get TransferTubeLength (300a,02a4) More...
OFCondition | getTransferTubeNumber (OFString &value, const signed long pos=0) const
| get TransferTubeNumber (300a,02a2) More...
OFCondition | getTransferTubeNumber (Sint32 &value, const unsigned long pos=0) const
| get TransferTubeNumber (300a,02a2) More...
DRTBrachyControlPointSequence & | getBrachyControlPointSequence ()
| get BrachyControlPointSequence (300a,02d0) More...
const DRTBrachyControlPointSequence & | getBrachyControlPointSequence () const
| get BrachyControlPointSequence (300a,02d0) More...
DRTChannelShieldSequence & | getChannelShieldSequence ()
| get ChannelShieldSequence (300a,02b0) More...
const DRTChannelShieldSequence & | getChannelShieldSequence () const
| get ChannelShieldSequence (300a,02b0) More...
OFCondition | setAfterloaderChannelID (const OFString &value, const OFBool check=OFTrue)
| set AfterloaderChannelID (300a,0273) More...
OFCondition | setApplicatorShapeReferencedROINumber (const OFString &value, const OFBool check=OFTrue)
| set ApplicatorShapeReferencedROINumber (300a,02a1) More...
OFCondition | setChannelEffectiveLength (const OFString &value, const OFBool check=OFTrue)
| set ChannelEffectiveLength (300a,0271) More...
OFCondition | setChannelInnerLength (const OFString &value, const OFBool check=OFTrue)
| set ChannelInnerLength (300a,0272) More...
OFCondition | setChannelLength (const OFString &value, const OFBool check=OFTrue)
| set ChannelLength (300a,0284) More...
OFCondition | setChannelNumber (const OFString &value, const OFBool check=OFTrue)
| set ChannelNumber (300a,0282) More...
OFCondition | setChannelTotalTime (const OFString &value, const OFBool check=OFTrue)
| set ChannelTotalTime (300a,0286) More...
OFCondition | setFinalCumulativeTimeWeight (const OFString &value, const OFBool check=OFTrue)
| set FinalCumulativeTimeWeight (300a,02c8) More...
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1) More...
OFCondition | setNumberOfControlPoints (const OFString &value, const OFBool check=OFTrue)
| set NumberOfControlPoints (300a,0110) More...
OFCondition | setNumberOfPulses (const OFString &value, const OFBool check=OFTrue)
| set NumberOfPulses (300a,028a) More...
OFCondition | setPulseRepetitionInterval (const OFString &value, const OFBool check=OFTrue)
| set PulseRepetitionInterval (300a,028c) More...
OFCondition | setReferencedROINumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedROINumber (3006,0084) More...
OFCondition | setReferencedSourceNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedSourceNumber (300c,000e) More...
OFCondition | setSourceApplicatorID (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorID (300a,0291) More...
OFCondition | setSourceApplicatorLength (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorLength (300a,0296) More...
OFCondition | setSourceApplicatorManufacturer (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorManufacturer (300a,0298) More...
OFCondition | setSourceApplicatorName (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorName (300a,0294) More...
OFCondition | setSourceApplicatorNumber (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorNumber (300a,0290) More...
OFCondition | setSourceApplicatorStepSize (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorStepSize (300a,02a0) More...
OFCondition | setSourceApplicatorTipLength (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorTipLength (300a,0274) More...
OFCondition | setSourceApplicatorType (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorType (300a,0292) More...
OFCondition | setSourceApplicatorWallNominalThickness (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorWallNominalThickness (300a,029c) More...
OFCondition | setSourceApplicatorWallNominalTransmission (const OFString &value, const OFBool check=OFTrue)
| set SourceApplicatorWallNominalTransmission (300a,029e) More...
OFCondition | setSourceMovementType (const OFString &value, const OFBool check=OFTrue)
| set SourceMovementType (300a,0288) More...
OFCondition | setTransferTubeLength (const OFString &value, const OFBool check=OFTrue)
| set TransferTubeLength (300a,02a4) More...
OFCondition | setTransferTubeNumber (const OFString &value, const OFBool check=OFTrue)
| set TransferTubeNumber (300a,02a2) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmShortString | AfterloaderChannelID
| AfterloaderChannelID (300a,0273) vr=SH, vm=1, type=3.
DcmIntegerString | ApplicatorShapeReferencedROINumber
| ApplicatorShapeReferencedROINumber (300a,02a1) vr=IS, vm=1, type=3.
DRTBrachyControlPointSequence | BrachyControlPointSequence
| BrachyControlPointSequence (300a,02d0) vr=SQ, vm=1, type=1.
DcmDecimalString | ChannelEffectiveLength
| ChannelEffectiveLength (300a,0271) vr=DS, vm=1, type=3.
DcmDecimalString | ChannelInnerLength
| ChannelInnerLength (300a,0272) vr=DS, vm=1, type=2C.
DcmDecimalString | ChannelLength
| ChannelLength (300a,0284) vr=DS, vm=1, type=2.
DcmIntegerString | ChannelNumber
| ChannelNumber (300a,0282) vr=IS, vm=1, type=1.
DRTChannelShieldSequence | ChannelShieldSequence
| ChannelShieldSequence (300a,02b0) vr=SQ, vm=1, type=3.
DcmDecimalString | ChannelTotalTime
| ChannelTotalTime (300a,0286) vr=DS, vm=1, type=1.
DcmDecimalString | FinalCumulativeTimeWeight
| FinalCumulativeTimeWeight (300a,02c8) vr=DS, vm=1, type=1C.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=3.
DcmIntegerString | NumberOfControlPoints
| NumberOfControlPoints (300a,0110) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfPulses
| NumberOfPulses (300a,028a) vr=IS, vm=1, type=1C.
DcmDecimalString | PulseRepetitionInterval
| PulseRepetitionInterval (300a,028c) vr=DS, vm=1, type=1C.
DcmIntegerString | ReferencedROINumber
| ReferencedROINumber (3006,0084) vr=IS, vm=1, type=2C.
DcmIntegerString | ReferencedSourceNumber
| ReferencedSourceNumber (300c,000e) vr=IS, vm=1, type=1.
DcmShortString | SourceApplicatorID
| SourceApplicatorID (300a,0291) vr=SH, vm=1, type=2C.
DcmDecimalString | SourceApplicatorLength
| SourceApplicatorLength (300a,0296) vr=DS, vm=1, type=1C.
DcmLongString | SourceApplicatorManufacturer
| SourceApplicatorManufacturer (300a,0298) vr=LO, vm=1, type=3.
DcmLongString | SourceApplicatorName
| SourceApplicatorName (300a,0294) vr=LO, vm=1, type=3.
DcmIntegerString | SourceApplicatorNumber
| SourceApplicatorNumber (300a,0290) vr=IS, vm=1, type=3.
DcmDecimalString | SourceApplicatorStepSize
| SourceApplicatorStepSize (300a,02a0) vr=DS, vm=1, type=1C.
DcmDecimalString | SourceApplicatorTipLength
| SourceApplicatorTipLength (300a,0274) vr=DS, vm=1, type=2C.
DcmCodeString | SourceApplicatorType
| SourceApplicatorType (300a,0292) vr=CS, vm=1, type=1C.
DcmDecimalString | SourceApplicatorWallNominalThickness
| SourceApplicatorWallNominalThickness (300a,029c) vr=DS, vm=1, type=3.
DcmDecimalString | SourceApplicatorWallNominalTransmission
| SourceApplicatorWallNominalTransmission (300a,029e) vr=DS, vm=1, type=3.
DcmCodeString | SourceMovementType
| SourceMovementType (300a,0288) vr=CS, vm=1, type=1.
DcmDecimalString | TransferTubeLength
| TransferTubeLength (300a,02a4) vr=DS, vm=1, type=2C.
DcmIntegerString | TransferTubeNumber
| TransferTubeNumber (300a,02a2) vr=IS, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTChannelSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTChannelSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getAfterloaderChannelID()

OFCondition DRTChannelSequence::Item::getAfterloaderChannelID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AfterloaderChannelID (300a,0273)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getApplicatorShapeReferencedROINumber() [1/2]

OFCondition DRTChannelSequence::Item::getApplicatorShapeReferencedROINumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ApplicatorShapeReferencedROINumber (300a,02a1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getApplicatorShapeReferencedROINumber() [2/2]

OFCondition DRTChannelSequence::Item::getApplicatorShapeReferencedROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ApplicatorShapeReferencedROINumber (300a,02a1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyControlPointSequence() [1/2]

DRTBrachyControlPointSequence& DRTChannelSequence::Item::getBrachyControlPointSequence | ( |  | ) |
| inline

get BrachyControlPointSequence (300a,02d0)

Returns
  reference to sequence element

## ◆ getBrachyControlPointSequence() [2/2]

const DRTBrachyControlPointSequence& DRTChannelSequence::Item::getBrachyControlPointSequence | ( |  | ) | const
| inline

get BrachyControlPointSequence (300a,02d0)

Returns
  const reference to sequence element

## ◆ getChannelEffectiveLength() [1/2]

OFCondition DRTChannelSequence::Item::getChannelEffectiveLength | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ChannelEffectiveLength (300a,0271)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelEffectiveLength() [2/2]

OFCondition DRTChannelSequence::Item::getChannelEffectiveLength | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ChannelEffectiveLength (300a,0271)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelInnerLength() [1/2]

OFCondition DRTChannelSequence::Item::getChannelInnerLength | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ChannelInnerLength (300a,0272)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelInnerLength() [2/2]

OFCondition DRTChannelSequence::Item::getChannelInnerLength | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ChannelInnerLength (300a,0272)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelLength() [1/2]

OFCondition DRTChannelSequence::Item::getChannelLength | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ChannelLength (300a,0284)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelLength() [2/2]

OFCondition DRTChannelSequence::Item::getChannelLength | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ChannelLength (300a,0284)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelNumber() [1/2]

OFCondition DRTChannelSequence::Item::getChannelNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ChannelNumber (300a,0282)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelNumber() [2/2]

OFCondition DRTChannelSequence::Item::getChannelNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ChannelNumber (300a,0282)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelShieldSequence() [1/2]

DRTChannelShieldSequence& DRTChannelSequence::Item::getChannelShieldSequence | ( |  | ) |
| inline

get ChannelShieldSequence (300a,02b0)

Returns
  reference to sequence element

## ◆ getChannelShieldSequence() [2/2]

const DRTChannelShieldSequence& DRTChannelSequence::Item::getChannelShieldSequence | ( |  | ) | const
| inline

get ChannelShieldSequence (300a,02b0)

Returns
  const reference to sequence element

## ◆ getChannelTotalTime() [1/2]

OFCondition DRTChannelSequence::Item::getChannelTotalTime | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ChannelTotalTime (300a,0286)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getChannelTotalTime() [2/2]

OFCondition DRTChannelSequence::Item::getChannelTotalTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ChannelTotalTime (300a,0286)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFinalCumulativeTimeWeight() [1/2]

OFCondition DRTChannelSequence::Item::getFinalCumulativeTimeWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get FinalCumulativeTimeWeight (300a,02c8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFinalCumulativeTimeWeight() [2/2]

OFCondition DRTChannelSequence::Item::getFinalCumulativeTimeWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get FinalCumulativeTimeWeight (300a,02c8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMaterialID()

OFCondition DRTChannelSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfControlPoints() [1/2]

OFCondition DRTChannelSequence::Item::getNumberOfControlPoints | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfControlPoints() [2/2]

OFCondition DRTChannelSequence::Item::getNumberOfControlPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfPulses() [1/2]

OFCondition DRTChannelSequence::Item::getNumberOfPulses | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfPulses (300a,028a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfPulses() [2/2]

OFCondition DRTChannelSequence::Item::getNumberOfPulses | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfPulses (300a,028a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPulseRepetitionInterval() [1/2]

OFCondition DRTChannelSequence::Item::getPulseRepetitionInterval | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PulseRepetitionInterval (300a,028c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPulseRepetitionInterval() [2/2]

OFCondition DRTChannelSequence::Item::getPulseRepetitionInterval | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PulseRepetitionInterval (300a,028c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [1/2]

OFCondition DRTChannelSequence::Item::getReferencedROINumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [2/2]

OFCondition DRTChannelSequence::Item::getReferencedROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedSourceNumber() [1/2]

OFCondition DRTChannelSequence::Item::getReferencedSourceNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedSourceNumber (300c,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedSourceNumber() [2/2]

OFCondition DRTChannelSequence::Item::getReferencedSourceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedSourceNumber (300c,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorID()

OFCondition DRTChannelSequence::Item::getSourceApplicatorID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorID (300a,0291)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorLength() [1/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorLength | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceApplicatorLength (300a,0296)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorLength() [2/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorLength | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorLength (300a,0296)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorManufacturer()

OFCondition DRTChannelSequence::Item::getSourceApplicatorManufacturer | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorManufacturer (300a,0298)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorName()

OFCondition DRTChannelSequence::Item::getSourceApplicatorName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorName (300a,0294)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorNumber() [1/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorNumber (300a,0290)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorNumber() [2/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceApplicatorNumber (300a,0290)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorStepSize() [1/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorStepSize | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceApplicatorStepSize (300a,02a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorStepSize() [2/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorStepSize | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorStepSize (300a,02a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorTipLength() [1/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorTipLength | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceApplicatorTipLength (300a,0274)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorTipLength() [2/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorTipLength | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorTipLength (300a,0274)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorType()

OFCondition DRTChannelSequence::Item::getSourceApplicatorType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorType (300a,0292)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorWallNominalThickness() [1/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorWallNominalThickness | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceApplicatorWallNominalThickness (300a,029c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorWallNominalThickness() [2/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorWallNominalThickness | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorWallNominalThickness (300a,029c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorWallNominalTransmission() [1/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorWallNominalTransmission | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceApplicatorWallNominalTransmission (300a,029e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceApplicatorWallNominalTransmission() [2/2]

OFCondition DRTChannelSequence::Item::getSourceApplicatorWallNominalTransmission | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceApplicatorWallNominalTransmission (300a,029e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceMovementType()

OFCondition DRTChannelSequence::Item::getSourceMovementType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceMovementType (300a,0288)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTransferTubeLength() [1/2]

OFCondition DRTChannelSequence::Item::getTransferTubeLength | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TransferTubeLength (300a,02a4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTransferTubeLength() [2/2]

OFCondition DRTChannelSequence::Item::getTransferTubeLength | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TransferTubeLength (300a,02a4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTransferTubeNumber() [1/2]

OFCondition DRTChannelSequence::Item::getTransferTubeNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TransferTubeNumber (300a,02a2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTransferTubeNumber() [2/2]

OFCondition DRTChannelSequence::Item::getTransferTubeNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TransferTubeNumber (300a,02a2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTChannelSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTChannelSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTChannelSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTChannelSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAfterloaderChannelID()

OFCondition DRTChannelSequence::Item::setAfterloaderChannelID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AfterloaderChannelID (300a,0273)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setApplicatorShapeReferencedROINumber()

OFCondition DRTChannelSequence::Item::setApplicatorShapeReferencedROINumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ApplicatorShapeReferencedROINumber (300a,02a1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setChannelEffectiveLength()

OFCondition DRTChannelSequence::Item::setChannelEffectiveLength | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ChannelEffectiveLength (300a,0271)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setChannelInnerLength()

OFCondition DRTChannelSequence::Item::setChannelInnerLength | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ChannelInnerLength (300a,0272)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setChannelLength()

OFCondition DRTChannelSequence::Item::setChannelLength | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ChannelLength (300a,0284)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setChannelNumber()

OFCondition DRTChannelSequence::Item::setChannelNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ChannelNumber (300a,0282)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setChannelTotalTime()

OFCondition DRTChannelSequence::Item::setChannelTotalTime | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ChannelTotalTime (300a,0286)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFinalCumulativeTimeWeight()

OFCondition DRTChannelSequence::Item::setFinalCumulativeTimeWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set FinalCumulativeTimeWeight (300a,02c8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTChannelSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfControlPoints()

OFCondition DRTChannelSequence::Item::setNumberOfControlPoints | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfControlPoints (300a,0110)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfPulses()

OFCondition DRTChannelSequence::Item::setNumberOfPulses | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfPulses (300a,028a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPulseRepetitionInterval()

OFCondition DRTChannelSequence::Item::setPulseRepetitionInterval | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PulseRepetitionInterval (300a,028c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedROINumber()

OFCondition DRTChannelSequence::Item::setReferencedROINumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedROINumber (3006,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedSourceNumber()

OFCondition DRTChannelSequence::Item::setReferencedSourceNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedSourceNumber (300c,000e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorID()

OFCondition DRTChannelSequence::Item::setSourceApplicatorID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorID (300a,0291)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorLength()

OFCondition DRTChannelSequence::Item::setSourceApplicatorLength | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorLength (300a,0296)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorManufacturer()

OFCondition DRTChannelSequence::Item::setSourceApplicatorManufacturer | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorManufacturer (300a,0298)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorName()

OFCondition DRTChannelSequence::Item::setSourceApplicatorName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorName (300a,0294)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorNumber()

OFCondition DRTChannelSequence::Item::setSourceApplicatorNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorNumber (300a,0290)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorStepSize()

OFCondition DRTChannelSequence::Item::setSourceApplicatorStepSize | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorStepSize (300a,02a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorTipLength()

OFCondition DRTChannelSequence::Item::setSourceApplicatorTipLength | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorTipLength (300a,0274)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorType()

OFCondition DRTChannelSequence::Item::setSourceApplicatorType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorType (300a,0292)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorWallNominalThickness()

OFCondition DRTChannelSequence::Item::setSourceApplicatorWallNominalThickness | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorWallNominalThickness (300a,029c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceApplicatorWallNominalTransmission()

OFCondition DRTChannelSequence::Item::setSourceApplicatorWallNominalTransmission | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceApplicatorWallNominalTransmission (300a,029e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceMovementType()

OFCondition DRTChannelSequence::Item::setSourceMovementType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceMovementType (300a,0288)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTransferTubeLength()

OFCondition DRTChannelSequence::Item::setTransferTubeLength | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TransferTubeLength (300a,02a4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTransferTubeNumber()

OFCondition DRTChannelSequence::Item::setTransferTubeNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TransferTubeNumber (300a,02a2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTChannelSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtchs.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1